[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: libpsm2 on i386



On 2018-06-09 10:20, Mehdi Dogguy wrote:
Hi all,

libpsm2 has finally landed in unstable and eventually migrated to testing, which is great. Support for libpsm2 has been enabled in libfabric and I've
filed a bugreport so that openmpi enables it as well.

Unfortunately, libfabric is stuck in sid for now as it needs libpsm2 on i386 to build. One could restrict the build dependency on amd64 to workaround this.
But, libpsm2's code seems to support i386 as well.

Any opinion on enabling libpsm2 build on i386?


libpsm2's README indicates: “Only the x86_64 architecture is supported.”

So while some code exists [1], upstream has no intent to support libpsm2 on i386.

I'll go ahead and fix libfabric.

[1] It also fails to build on i386 for now, unsurprisingly.

Sorry for the noise,

--
Mehdi


Reply to: